Subject: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

From: "Susan Hares" <[email-masked]>
Date: Thu, 19 Aug 2021 09:21:10 -0400

This WG adoption call is extended until 8/27/2021.   

At this time, this draft has not received enough support for adoption.   

Cheers, Sue 

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Tuesday, July 27, 2021 1:40 PM
To: [email-masked]
Subject: [Idr] WG Adoption call for
draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/10)

This begins a 2 week Adoption call for 

draft-dawra-idr-bgp-ls-sr-service-segments-05.txt

https://datatracker.ietf.org/doc/draft-dawra-idr-bgp-ls-sr-service-segments/

We are missing IPR statements from the following co-authors: 

Xiaohu Xu,  Jim Uttaro, and Daniel Bernier. 

The authors upon adoption will need to pick 1-5 authors as editors.

Please consider if this draft's BGP-LS additions

help the SR routing deployments. 

Cheerily, Susan Hares

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Fri, 20 Aug 2021 06:53:44 +0000

Well, how can I missed this WG call, too busy in work!

Sure, yes I support the adoption as an co-author!
The content of the draft has been stable for many years...., it is the timing to move forward.

Respect,
Cheng

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Thursday, August 19, 2021 9:21 PM
To: [email-masked]
Subject: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

Cheers, Sue

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Tuesday, July 27, 2021 1:40 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/10)

Cheerily, Susan Hares

---

From: Huzhibo <[email-masked]>
Date: Fri, 20 Aug 2021 08:14:04 +0000

support the adoption.

Zhibo

Cheers, Sue

Cheerily, Susan Hares

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Fri, 20 Aug 2021 09:30:09 +0000

I support the adoption of this document.

Best regards,
Jie

Cheers, Sue

Cheerily, Susan Hares

---

From: Mach Chen <[email-masked]>
Date: Mon, 23 Aug 2021 06:15:03 +0000

Hi Sue,

I have read the draft and think it's useful, I support the adoption of the draft.

Best regards,
Mach

Cheers, Sue

Cheerily, Susan Hares

---

From: "Yangfan (IP Standard)" <[email-masked]>
Date: Mon, 23 Aug 2021 06:25:18 +0000

Hi Susan and IDR,

The draft is very useful to the deployment of SR based service chain, I support the adoption of the draft.

Best,
Fan

发件人: Idr [mailto:[email-masked]] 代表 Susan Hares
发送时间: 2021年8月19日 21:21
收件人: [email-masked]
主题: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

Cheers, Sue

Please consider if this draft’s BGP-LS additions
help the SR routing deployments.

Cheerily, Susan Hares

---

From: Gaurav Dawra <[email-masked]>
Date: Sun, 22 Aug 2021 23:37:13 -0700

Support.

Sent from my iPhone

> On Aug 19, 2021, at 6:21 AM, Susan Hares <[email-masked]> wrote:
> 
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: "qinfengwei" <[email-masked]>
Date: Mon, 23 Aug 2021 14:46:30 +0800

It’s very useful, and I support the adoption of this document.

Thanks,

Fengwei Qin

发件人: Idr [mailto:[email-masked]] 代表 Susan Hares
发送时间: 2021年8月19日 21:21
收件人: [email-masked]
主题: Re: [Idr] WG Adoption call for
draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

Cheers, Sue 

Cheerily, Susan Hares

---

From: Linda Dunbar <[email-masked]>
Date: Mon, 23 Aug 2021 14:08:51 +0000

I read through the draft and think it is very useful to have BGP LS to advertise the service functions along  their associated service segments.

I support the WG adoption.

Linda Dunbar

From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: Thursday, August 19, 2021 6:21 AM
To: [email-masked]
Subject: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

Cheers, Sue

Cheerily, Susan Hares

---

From: "Feng Yang" <[email-masked]>
Date: Mon, 23 Aug 2021 16:20:00 +0800

Hi,

Support the adoption of this draft. Using the unified BGP-LS to collect the
value-added service information is good idea. 

BR，

杨锋

Feng Yang

Cheers, Sue 

Cheerily, Susan Hares

---

From: "Wangyali(Yali,Data Communication Standards and Patents Dept)" <[email-masked]>
Date: Tue, 24 Aug 2021 10:21:50 +0000

Hi WG,

I support the adoption of this draft.

Thanks,
Yali

Cheers, Sue

Cheerily, Susan Hares

---

From: Ran Pang(联通集团中国联通研究院-本部) <[email-masked]>
Date: Tue, 24 Aug 2021 13:38:05 +0000

Hi Sue and WG,

I support the adoption of this draft .

Best regards,
Pang Ran

From: Susan Hares<mailto:[email-masked]>
Date: 2021-08-19 21:21
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)
This WG adoption call is extended until 8/27/2021.

Cheers, Sue

Cheerily, Susan Hares
如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除。 If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked] ,you can unsubscribe from this mail. We will immediately remove your information from send catalogue of our.

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 25 Aug 2021 11:03:25 +0530

Hi Sue,

I support adoption. I have some comments that can be handled at the
author's discretion.

- Figure 1 gives an impression that SR-C is directly connected to the
network node. I would just draw SR-C on top without showing how SR-C
connects to the network. How SR-C receives BGP-LS updates is not new and
thus just a reference to BGP-LS rfc7752bis is fine!

- Reference to SFC architecture RFC 7665 should be added to the
introduction.

- Section 2 s/Service SID MAY only be encoded as LOC:FUNCT/SRv6 Service SID
MAY only be encoded as LOC:FUNCT/. Further, I think it would be useful to
add why ARG is not to be used.

-  Function Identifier needs reference (I-D.
ietf-spring-sr-service-programming)

- Figure 2, closing parenthesis missing for ST

- I agree with the suggestion that ST should refer to the existing IANA
registry [1] instead of creating a new one in section 4.1

- The document says "Another Optional Opaque Metadata(OM) TLV of SRv6 SID
NLRI.."; is this only for SRv6?

- Is the expectation for the Flags in OM TLV that they would be applied for
all Opaque Types? Since no flags are currently defined for this as well as
SC TLV, some guidance would be useful as well as a possible IANA registry.

- Section 4.2, I could not find Segment Routing Function Identifier(SFI)
registry in any of the referenced documents. Is it new? In that case, the
text does not match!

- Section 6.1, could use some information about setting the opaque types

Thanks!
Dhruv

[1]
https://www.iana.org/assignments/service-function-chaining-service-function-types/service-function-chaining-service-function-types.xhtml#service-function-chaining-service-function-types-2

On Thu, Aug 19, 2021 at 6:52 PM Susan Hares <[email-masked]> wrote:

> *From:* Idr [mailto:[email-masked]] *On Behalf Of *Susan Hares
> *Sent:* Tuesday, July 27, 2021 1:40 PM
> *To:* [email-masked]
> *Subject:* [Idr] WG Adoption call for

---

From: "[email-masked]" <[email-masked]>
Date: Wed, 25 Aug 2021 14:05:33 +0800

Hi Sue and WG,

Best regards,
Cong Li

From: Susan Hares
Date: 2021-08-19 21:21
To: [email-masked]

Cheers, Sue 

 

 
 
Cheerily, Susan Hares

---

From: "Luc-Fabrice Ndifor Ngwa [ MTN Cameroon ]" <[email-masked]>
Date: Fri, 27 Aug 2021 06:33:30 +0000

Support the WG adoption of this draft as the extension to BGP-LS enables controllers compute and
setup service paths in the network which is a requirement for software defined networks.
Appreciate the great work done by co-authors and contributors to this draft.

​Warm regards,
Luc-Fabrice
 
Ndifor
Specialist - IP Access and Data center
[email-masked]
T +237 677 55 02 13
Head Office: 360, Rue Drouot
​P.O. Box 15 574 Douala, Cameroon
T +237 679 00 90 90
 | mtn.cm
This email is confidential. If you have received it in error, you are on notice of its status. Please notify ​the ​​sender immediately by 
​reply email and then delete this message from your system. Please do not copy it ​or use it for any purpose or disclose its content 
​to any other person as to do so could be a breach of ​confidentiality.
​
 Please be informed that no employee or agent is authorized to conclude any legally binding agreement ​on behalf of MTN Cameroon
​via email. This can be only done if the email is confirmed explicitly in writing ​by an MTN Cameroon authorized officer. In no event 
​will this email or its content be construed as a written ​approval.
From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: Thursday, August 19, 2021 2:21 PM
To: [email-masked]
Subject: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

Cheers, Sue

Cheerily, Susan Hares

---

From: Gyan Mishra <[email-masked]>
Date: Wed, 1 Sep 2021 02:11:17 -0400

I support WG adoption of this draft.

This draft provides a critical feature for operators deployments of service
instructions in an SR environment, whereby this drafts provides a BGP-LS
extension for the advertisement of service functions along the associated
service segments for NBI to build the service plane graph for SFC NSH
service chaining, SFF in an SR environment.

Kind Regards

Gyan

On Fri, Aug 27, 2021 at 1:37 PM Luc-Fabrice Ndifor Ngwa [ MTN Cameroon ] <
[email-masked]> wrote:

> ​Warm regards,​
> Luc‑Fabrice
> Specialist ‑ IP Access and Data center
> [email-masked]* <[email-masked]>
> T *+237 677 55 02 13* <+237%20677%2055%2002%2013>
> Head Office: 360,
> <https://www.google.com/maps/search/360,+Rue+Drouot?entry=gmail&source=g>
> Rue
> <https://www.google.com/maps/search/360,+Rue+Drouot?entry=gmail&source=g>
> Drouot
> <https://www.google.com/maps/search/360,+Rue+Drouot?entry=gmail&source=g>
>  |
> *mtn.cm* <http://www.mtn.cm/>
> This email is confidential. If you have received it in error, you are on
> notice of its status. Please notify ​the ​​sender immediately by
> ​reply email and then delete this message from your system. Please do not
> copy it ​or use it for any purpose or disclose its content
> Please be informed that no employee or agent is authorized to conclude any
> legally binding agreement ​on behalf of MTN Cameroon
> ​via email. This can be only done if the email is confirmed explicitly in
> writing ​by an MTN Cameroon authorized officer. In no event
> <https://mtn.cm/fr/personal/promotion/MoMoPay/>
>
> *From:* Idr <[email-masked]> *On Behalf Of * Susan Hares
> *Sent:* Thursday, August 19, 2021 2:21 PM
> *To:* [email-masked]
> *Subject:* Re: [Idr] WG Adoption call for
> *From:* Idr [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of *Susan Hares
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*